%global commit bd245c9
Name:          pcfi
Version:       2010.08.09
Release:       %mkrel 20111216.%{commit}.1
Summary:       PDF Core Font Information
Group:         Development/Java
License:       BSD
Url:           https://github.com/jukka/pcfi
# mkdir -p jukka-pcfi-2010.08.09
# git clone git://github.com/jukka/pcfi.git
# cd pcfi
# git archive master | tar -x -C ../jukka-pcfi-2010.08.09
# cd ..
# tar czf jukka-pcfi-2010.08.09-src-git.tar.gz jukka-pcfi-2010.08.09

# wget --content-disposition -N https://github.com/jukka/pcfi/tarball/
Source0:       jukka-pcfi-pcfi-2010.08.09-2-g%{commit}.tar.gz
# http://opensource.adobe.com/wiki/display/cmap/License
Source1:       adobe-License
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: maven
BuildRequires: maven-surefire-provider-junit

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Collection of PDF core font information files downloaded from Adobe's
developer center and elsewhere. This collection contains font metrics
for the 14 PDF core fonts, cmaps for the PDF cjk fonts and the Adobe
Glyph list. The files are stored inside the com/adobe/pdf/pcfi directory.
See the individual files for exact licensing information.

%prep
%setup -q -n jukka-pcfi-%{commit}

sed -i 's/\r//' src/main/resources/META-INF/LICENSE.txt
cp %SOURCE1 License

%build

mvn-rpmbuild install

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/%{name}-SNAPSHOT.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc README.txt src/main/resources/META-INF/LICENSE.txt License

%changelog

* Fri Dec 16 2011 gil <gil> 2010.08.09-20111216.bd245c9.1.mga2
+ Revision: 182856
- imported package pcfi

